const { pluginEslint } = require('@rsbuild/plugin-eslint');

/**
 * 创建 ESLint 插件配置
 * @param {Object} options - ESLint 插件选项
 * @returns {Object} - Rsbuild 插件
 */
function createEslintPlugin(options = {}) {
  return pluginEslint({
    // 默认只在开发环境启用
    lintDirtyModulesOnly: process.env.NODE_ENV === 'development',
    // 默认不会因为 ESLint 错误而中断构建
    failOnError: process.env.CI === 'true',
    // 合并自定义选项
    ...options,
  });
}

module.exports = createEslintPlugin; 